Subject: Re: [PATCH] meson: fix perl dependencies for Documentation

From: Sam James <[email-masked]>
Date: Tue, 14 Jan 2025 14:03:21 +0000

Patrick Steinhardt <[email-masked]> writes:

> On Sat, Jan 11, 2025 at 06:38:50AM +0000, Sam James wrote:
>> diff --git a/Documentation/technical/meson.build b/Documentation/technical/meson.build
>> index 21dfb8b5c9..8c93da3566 100644
>> --- a/Documentation/technical/meson.build
>> +++ b/Documentation/technical/meson.build
>> @@ -42,6 +42,7 @@ api_index = custom_target(
>>      '@OUTPUT@',
>>    ],
>>    env: script_environment,
>> +  depends: documentation_deps,
>>    input: api_docs,
>>    output: 'api-index.txt',
>>  )
>
> Wait, this doesn't make a lot of sense to me. "api-index.sh" does not
> care about "asciidoc.conf" at all, so why is this dependency needed?

You're completely right -- I thought I'd found that api-index.sh *did*
need it, but it definitely doesn't upon checking.

>
>> @@ -60,6 +61,7 @@ foreach article : api_docs + articles
>>      command: asciidoc_html_options,
>>      input: article,
>>      output: fs.stem(article) + '.html',
>> +    depends: documentation_deps,
>>      install: true,
>>      install_dir: get_option('datadir') / 'doc/git-doc/technical',
>>    )
>
> This one looks as expected, though.
>
> Thanks!

I'll respin. Thanks.

> Patrick